Open SCAP Library

Macros | Functions
cve.c File Reference

Interface to Common Vulnerability and Exposure dictionary. More...

`#include "public/cve_nvd.h"`
`#include "cve_priv.h"`
`#include "common/util.h"`
`#include "common/list.h"`

## Macros
#define | CVE_SUPPORTED "2.0"

## Functions
struct cve_model * | cve_model_import (const char *file)
| Public function to import CVE model from OSCAP import source. More...
void | cve_model_export (struct cve_model *cve, const char *file)
| Public function to export CVE model to OSCAP export target. More...
const char * | cve_model_supported (void)

## Detailed Description

Interface to Common Vulnerability and Exposure dictionary.

See details at: http://cve.mitre.org/ http://nvd.nist.gov/download.cfm

## Function Documentation

## ◆ cve_model_export()

void cve_model_export | ( | struct cve_model * | cve,
|  | const char * | file
| ) |  |

Public function to export CVE model to OSCAP export target.

Function fill the structure target with model that is represented by structure cve.

## ◆ cve_model_import()

struct cve_model* cve_model_import | ( | const char * | file | ) |

Public function to import CVE model from OSCAP import source.

Function returns CVE model, need to free source after calling this function